package it.polimi.ingsw.gc14.Model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class GameTest {

    @Test
    void getUpperListTribeCards() {
    }

    @Test
    void getCurrentState() {
    }

    @Test
    void getPlayerByIndex() {
    }

    @Test
    void getNPlayers() {
    }

    @Test
    void addPlayer() {
    }

    @Test
    void init() {
    }

    @Test
    void slotChoiceByIndex() {
    }

    @Test
    void drawUpperTribeCardByIndex() {
    }

    @Test
    void drawLowerTribeCardByIndex() {
    }

    @Test
    void drawUpperBuildingCardByIndex() {
    }

    @Test
    void drawLowerBuildingCardByIndex() {
    }
    //Ruben
    @Test
    void pickOptionalTribeCard() {
    }
    //Ruben
    @Test
    void pickOptionalBuildingCard() {
    }
    //Ruben
    @Test
    void noOptionalCard() {
    }
}